<script lang="ts">
	let doRerender = false;

	export let coordinate: number;
	export let clickHandler: () => void;
	export let isAlive: () => boolean;
	export let forceUpdate: boolean;

	let displayLiving = (_: boolean) => {
		return isAlive();
	};
</script>

<button
	id={`cell_${coordinate}`}
	class="grid-item {displayLiving(doRerender && forceUpdate) ? 'alive' : 'dead'}"
	on:click={() => {
		clickHandler();
		doRerender = !doRerender;
	}}
/>

<style>
	.alive {
		background-color: #081927;
	}
</style>
